Entrar

Actualizar área

PUT https://{organization}.myguper.com/api/register/team/area

Actualiza un área. Envía solo los campos que cambian — id es obligatorio. Si se incluye parentId (incluso como null), se ejecuta el CycleGuard para evitar una referencia circular.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "id": 2,
    "name": "Marketing Digital",                                // optional
    "parentId": 1,                                              // optional
    "description": "Marketing focado em canais digitais",       // optional
    "data": {                                                   // optional
        "color": "#0a84ff"
    }
}

Respuestas

{ "affectedRows": 1 }
Copied to clipboard